Loading...
Searching...
No Matches
EST_ServiceTable::Entry Class Reference

`#include <include/EST_ServiceTable.h>`

Collaboration diagram for EST_ServiceTable::Entry:
[legend]

## Public Member Functions

| Entry ()
| Create an empty entry.
| operator EST_String () const
| A suitable human readable name for the entry.

## Public Attributes

EST_String | name
| Name of the server.
EST_String | type
| Type of server (eg `fringe').
EST_String | hostname
| Human readable hostname.
EST_String | address
| Numeric IP address (###.###.###.###).
EST_String | cookie
| A random string to send as authorisation.
int | port
| TCP port number.

## Friends

bool | operator== (const Entry &a, const Entry &b)
| All entries are taken to be different.
ostream & | operator<< (ostream &s, const Entry &a)
| Print in human readable form.

## Detailed Description

A service record.

This is returned by service lookup operations, it contains enough information to contact the server and authenticate yourself.

Definition at line 59 of file EST_ServiceTable.h.

## Member Data Documentation

## name

EST_String EST_ServiceTable::Entry::name

Name of the server.

Definition at line 63 of file EST_ServiceTable.h.

## type

EST_String EST_ServiceTable::Entry::type

Type of server (eg `fringe').

Definition at line 65 of file EST_ServiceTable.h.

## hostname

EST_String EST_ServiceTable::Entry::hostname

Human readable hostname.

Definition at line 67 of file EST_ServiceTable.h.

## address

EST_String EST_ServiceTable::Entry::address

Numeric IP address (###.###.###.###).

Definition at line 69 of file EST_ServiceTable.h.

## cookie

EST_String EST_ServiceTable::Entry::cookie

A random string to send as authorisation.

Definition at line 71 of file EST_ServiceTable.h.

## port

int EST_ServiceTable::Entry::port

TCP port number.

Definition at line 73 of file EST_ServiceTable.h.

The documentation for this class was generated from the following file:

- include/EST_ServiceTable.h